**Running Admin from the IDE in super devmode**

1. `cd fwdhome && ./gradlew fetchLibs`
This will download all the required dependencies to `p2jhome/lib`. Point your IDE there.
2. Change `adminBuildDir` in `admin.gradle` and point it to the root directory where your IDE outputs the compiled FWD sources. Make sure your IDE outputs the web resources (html, css, images, etc.) to this root directory, too. In my case the `adminBuildDir` variable is set to `/home/hc/gcd/p2j-idea-project/out/production/p2j`. 
3. Disable SSL. GWT super devmode doesn't support it. In `GenericWebServer.java` comment out `new SslConnectionFactory...` in `configSslConnector()`.
4. Run Admin in super devmode: `cd fwdhome && ./gradlew serveAdmin`
5. Run FWD server from IDE as usual. Make sure that the server's classpath is setup such that it resolves the Admin resources compiled in `adminBuildDir` and not the GWT resources from `p2j.jar` if that is on the classpath, too.
6. Point your browser to the Admin url (i.e. `http://localhost:7443/admin/`).
7. Any changes done to the Admin client java sources will be reflected after browser refresh.